get
https://api.clustaar.io/bots//conversations/
Get conversation from a user
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Get one conversation with an interlocutor
Private API key neededThis endpoint can only be used with your private API key, accessible in the API tab of your bot settings.
Response
| Attribute | Type | Description |
|---|---|---|
| data.interlocutor | Interlocutor | An Interlocutor object |
| data.extract[] | list of Conversation Element | A list of the last 'extract_limit' Conversation Element of the conversation |
| data.count | Integer | Number of Conversation Element made by this interlocutor |
| data.userRequestsTodoCount | Integer | Number of UserRequest open by this interlocutor still in TODO state |
{
"data": {
"interlocutor": {
"type": "interlocutor",
...
"lastReplyAt": "2019-03-11T17:02:41+0000"
},
"extract": [
{
"interlocutor_id": "5c58414ffd43ca0010fa1ae1",
"timestamp": 1557157686,
"bot_id": "5bfe9b243422d7000e046da8",
"input_source": {
"type": "interlocutor",
"interlocutor_id": "5c58414ffd43ca0010fa1ae1"
},
"output_source": {
"type": "bot",
"bot_id": "5bfe9b243422d7000e046da8"
},
"input_action": {
"source": {
"type": "interlocutor",
"interlocutor_id": "5c58414ffd43ca0010fa1ae1"
},
"action": {
"type": "text",
"message": "hello robot"
}
},
"output_actions": [
{
"source": {
"type": "actions_block",
"actions_block_id": "5bfe9b25e6b7bb0009914338"
},
"actions": [
{
"action": {
"type": "wait_action",
"duration": 2
},
"parent_actions": []
},
{
"action": {
"type": "send_text_action",
"alternatives": [
"Hello you.\n"
],
"text": "Hello you.\n"
},
"parent_actions": []
},
{
"action": {
"type": "wait_action",
"duration": 2
},
"parent_actions": []
},
{
"action": {
"type": "send_text_action",
"alternatives": [
"How do you do ?"
],
"text": "How do you do ?"
},
"parent_actions": []
}
]
}
]
},
...
],
"count": 24,
"userRequestsTodoCount": 0
}
}